Subject: Re: git as an sfc member project

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 24 Feb 2010 08:22:05 -0800

Thanks for getting this started!

Jeff King <[email-masked]> wrote:
> >    * Detailed description of the project.
> 
> Git is a free & open source, distributed version control system
> designed to handle everything from small to very large projects with
> speed and efficiency.
> 
> Every Git clone is a full-fledged repository with complete history and
> full revision tracking capabilities, not dependent on network access or
> a central server. Branching and merging are fast and easy to do.
> 
> Projects using git include the Linux kernel, X.org, Perl, Gnome, Ruby on
> Rails, Wine, and more.

<plug type="shameless" for="$DAY_JOB">
You could also mention the Android Open Source Project.  Every one  
of those Android handsets on the market... the VCS used by the
team that engineered those is Git, preciously because it allows
the handset builder to manage their changes.

We wouldn't have 8+ devices on the market without Git.

:-)
</plug>
 
> >    * FLOSS License(s) used by the project
> 
> Core git is licensed under GPLv2. JGit, a pure-Java implementation of
> git, is licensed under the Eclipse Distribution License.

Slightly reworded:

  The core git code is licensed under GPLv2.

  The JGit code, a pure-Java implementation of git, is licensed under
  the Eclipse Distribution License, which is a new-style BSD license.

> >    * Roadmap for future development.
> 
> Git is currently a stable, widely-used version control system. We
> continue to accept enhancements and bug fixes, with a new major release
> about every 18 months, minor releases every 2-3 months, and bugfix
> releases every few weeks. The development remains highly distributed,
> with 281 individual contributors during the past year.

I'm not sure this really answers their question.  I think we
should make it clear WTF is going on with Git and its "roadmap".
How about this instead?

  Git is a stable, widely-used version control system.  The majority
  of the key functionality is already implemented.  Consequently the
  project does not maintain a formal roadmap, but instead accepts
  a wide range of relevant enhancements and fixes directly from
  the user community.

  Based on prior history, major new releases occur about every 18
  months, minor releases about every 2-3 months, and maintenance
  releases every few weeks.  Development is highly distributed,
  with over 280 individual contributors during the past 12 months,
  and over 730 contributors since the project's inception.

> >    * link to the website.
> http://git-scm.org

http://www.eclipse.org/jgit/

> >    * Link to the code repository.
> 
> http://git.kernel.org/?p=git/git.git

http://repo.or.cz/w/jgit.git

> >    * Brief history of the project, including past governance decisions.
> 
> [JGit?]

JGit was started in 2006 by Shawn Pearce to provide an efficient,
portable implementation of Git for Java based applications.  The
project moved to the Eclipse Foundation in late 2009, but remains a
standalone component and is widely embedded in non-Eclipse software.

> >    * Existing for-profit or non-profit affiliations, funding
> >      relationships, or other agreements that the project or its leaders
> >      have with other organizations.
> 
> Git has participated in the Google Summer of Code.
> 
> [Eclipse affiliations for JGit?]

JGit is hosted by the Eclipse Foundation, and is run in accordance
with the foundation's development processes.

> >    * Names, email addresses, and affiliations of key developers, past and
> >      present.
...
> Shawn O. Pearce <[email-masked]>

Well, if you want to list current affiliations for me, I guess I can
now claim:

 * Google employee
 * Eclipse Foundation project committer
 * Apache Software Foundation project committer

Also, JGit has Robin Rosenberg <[email-masked]> as
a key developer.  If you are listing JGit on the application,
I think he deserves the credit too.
 
-- 
Shawn.